<script setup>
import PSolarSystem from '../components/molecules/PSolarSystem.vue';

document.querySelector('body').style.overflow = 'hidden';
</script>

<template>
  <main>
    <h1>Planetarium</h1>
    <Suspense>
      <PSolarSystem></PSolarSystem>
    </Suspense>
  </main>
</template>

<style scoped lang="scss">
main {
  height: 100%;
  width: 100%;
  border: 1px solid black;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  // background-color: black;

  h1 {
    @include visually-hidden
  }
}
</style>
